Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices
Class SupportedSRSs

    java.lang.Object
      org.deegree.ogcwebservices.SupportedSRSs

    public class SupportedSRSs

extends Object

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`SupportedSRSs(CodeList[] requestResponseCRSs, CodeList[] requestCRSs, CodeList[] responseCRSs, CodeList[] nativeCRSs)`

Method Summary
`CodeList[]` | `getNativeSRSs()`
`CodeList[]` | `getRequestResponseSRSs()`
`CodeList[]` | `getRequestSRSs()`
`CodeList[]` | `getResponseSRSs()`
`void` | `setNativeSRSs(CodeList[] nativeSRSs)`
`void` | `setRequestResponseSRSs(CodeList[] requestResponseSRSs)`
`void` | `setRequestSRSs(CodeList[] requestSRSs)`
`void` | `setResponseSRSs(CodeList[] responseSRSs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupportedSRSs

    public SupportedSRSs(CodeList[] requestResponseCRSs,
                         CodeList[] requestCRSs,
                         CodeList[] responseCRSs,
                         CodeList[] nativeCRSs)

Parameters:
  `requestResponseCRSs` -
  `requestCRSs` -
  `responseCRSs` -
  `nativeCRSs` -

Method Detail

### getNativeSRSs

    public CodeList[] getNativeSRSs()

  Returns:
    Returns the nativeSRSs.

### setNativeSRSs

    public void setNativeSRSs(CodeList[] nativeSRSs)

  Parameters:
    `nativeSRSs` - The nativeSRSs to set.

### getRequestSRSs

    public CodeList[] getRequestSRSs()

  Returns:
    Returns the requestSRSs.

### setRequestSRSs

    public void setRequestSRSs(CodeList[] requestSRSs)

  Parameters:
    `requestSRSs` - The requestSRSs to set.

### getRequestResponseSRSs

    public CodeList[] getRequestResponseSRSs()

  Returns:
    Returns the requestResponseSRSs.

### setRequestResponseSRSs

    public void setRequestResponseSRSs(CodeList[] requestResponseSRSs)

  Parameters:
    `requestResponseSRSs` - The requestResponseSRSs to set.

### getResponseSRSs

    public CodeList[] getResponseSRSs()

  Returns:
    Returns the responseSRSs.

### setResponseSRSs

    public void setResponseSRSs(CodeList[] responseSRSs)

  Parameters:
    `responseSRSs` - The responseSRSs to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org